export default class AuthDataPool {
  public buttonAuthority: string;
  public serverTitle: string;
  public background: boolean = false;
  public static isLoginout: boolean = false;
  public loading: boolean;
  public loadObj: any;

  constructor() {
    this.buttonAuthority = sessionStorage.getItem('buttonAuthoritys') || '';
    this.serverTitle = sessionStorage.getItem('title') || '';
    this.loading = false;
    this.background = false;
    this.loadObj = undefined;
  }
  setLoading(domId = "routerView", vue: any) {
    // console.log(domId,this.loadObj,'setLoading')
    if (!this.loadObj) {
      this.loadObj = vue.$loading({
        target: document.getElementById(domId)
      })
    }
    // console.log(domId,this.loadObj,'setLoading') 
  }

  closeLoad() {
    if (this.loadObj) {
      this.loadObj.close();
      this.loadObj = undefined;
    }
  }
}